/* Peakholder - Basic Test
 * http://www.pjrc.com/peakholder/
 *
 * Read Peakholder inputs and only print to Serial
 *
 * This example code is in the public domain.
 */

#include <Peakholder.h>

void setup() {
  Serial.begin(115200);
  Serial.print("Peakholder Test, Library Version ");
  Serial.println(Peakholder.version());
  Peakholder.begin(4);           // number of channels
  Peakholder.setThreshold(10);   // minimum threshold (avoid noise triggering)
  Peakholder.setLatency(5);      // time to recognize impulse
  Peakholder.setZeroPeriod(30);  // milliseconds to zero (avoid bounce)
}

void loop() {
  byte channel;
  int value;

  if (Peakholder.available()) {
    channel = Peakholder.getInputNumber();  // get the input # first
    value = Peakholder.readValue();         // then read the value
    Serial.print("ch=");
    Serial.print(channel, DEC);
    Serial.print(", val=");
    Serial.println(value);
  }
}

