#include <MIDI.h>
#include <Peakholder.h>
#include <Metro.h>

Metro ten_sec(10000);

void setup() {
  outputs_off();
  Serial.begin(57600);
  Serial.println("ThunderBird Lighting");
  MIDI.begin(MIDI_CHANNEL_OMNI);
  Peakholder.begin(8);
}

void loop() {
  if (Peakholder.available()) {
    int channel = Peakholder.getInputNumber();
    int value = Peakholder.readValue();
    Serial.println(String("Shock: ") + channel + ", val=" + value); 
    if (channel == 2) {
      output_on(1, 400);
      output_on(2, 380, 40);
      output_on(3, 360, 80);
      output_on(4, 340, 120);
      output_on(5, 320, 160);
      if (value > 800) {
        output_on(6, 100);
        output_on(6, 100, 300);
        output_on(6, 100, 500);
      }
    }
    ten_sec.reset();
  }
  if (MIDI.read()) {
    byte type = MIDI.getType();
    if (type == NoteOn) {
      int note = MIDI.getData1();
      int velocity = MIDI.getData2();
      if (velocity > 0) {
        Serial.println(String("MIDI: note=") + note + ", velocity=" + velocity);
        if (note == 48) {
          output_on(5, 150);
        }
        if (note == 50) {
          output_on(2, 150);
        }
        if (note == 52) {
          output_on(3, 150);
        }
        if (note == 53) {
          output_on(4, 150);
        }
        if (note == 55) {
          output_on(6, 150);
        }
        if (note == 57) {
          output_on(1, 150);
          output_on(2, 170);
          output_on(3, 250);
          output_on(4, 280);
          output_on(5, 300);
        }
      }
    }
  }
  if (ten_sec.check()) {
    output_on(1, 900);
    output_on(2, 860, 70);
    output_on(3, 820, 140);
    output_on(4, 780, 210);
    output_on(5, 750, 280);
  }
  events_update();
}
